Subject: CLISP speed

From: Ray Liere <[email-masked]>
Date: Tue, 31 Jan 1995 08:44:32 -0800

I certainly agree that "speed" needs to be related to what specifically
you are doing. In my case, I compare it to the other alternatives I
have. The availability of CLISP allows me to do my lisp projects on
my own PC (I am running it under Linux). The alternatives, which I had
used before getting a PC, were to use Lucid, Ibuki, and Austin Kyoto
common lisps on quite powerful (cpu-wise) "real UNIX systems" :-) ... such as
multi-cpu Sequents and HP9000/800 RISC systems. I still have occasion
to use those alternatives, and even when those systems are very lightly loaded,
their performance is generally noticeably slower than using CLISP on my PC.

I am very appreciative of all of the efforts that have gone into writing
CLISP and maintaining it. Updates are made frequently, a great deal
of help is available via this mailing list, and Bruno Haible is very
responsive to fixing problems and adding new features.

Ray Liere